curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/paykeys/<uuid>/reveal{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paykey": "<string>",
"label": "Bank of America ****1234",
"source": "straddle",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_name": "Bank of America",
"status_details": {
"message": "Bank account sucesfully validated",
"reason": "insufficient_funds",
"source": "watchtower",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"bank_data": {
"routing_number": "021000021",
"account_number": "****1234",
"account_type": "checking"
},
"metadata": {},
"balance": {
"status": "pending",
"account_balance": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"external_id": "<string>"
}
}Retrieves the details of a paykey that has previously been created. Supply the unique paykey ID that was returned from your previous request, and Straddle will return the corresponding paykey information including the unmasked token.
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/paykeys/<uuid>/reveal{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paykey": "<string>",
"label": "Bank of America ****1234",
"source": "straddle",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_name": "Bank of America",
"status_details": {
"message": "Bank account sucesfully validated",
"reason": "insufficient_funds",
"source": "watchtower",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"bank_data": {
"routing_number": "021000021",
"account_number": "****1234",
"account_type": "checking"
},
"metadata": {},
"balance": {
"status": "pending",
"account_balance": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"external_id": "<string>"
}
}Use your Straddle API Key in the Authorization header as Bearer
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?